// file: TextboxBaseView.js
// done
const TextboxBaseView = function (tagName, existingElement) {
    const that = this;

    that.textbox = (!tagName && existingElement
        ? existingElement
        : document.createElement(tagName)
    );

    that.appendTo = (element) => {
        element.appendChild(that.textbox);
    };
    that.remove = () => {
        that.textbox.remove();
    }
};

export { TextboxBaseView }
