// file: DaysSeparatorView.js
import { DaysSeparatorBaseView } from '../BaseViews/DaysSeparatorBaseView.js'
// done
const DaysSeparatorView = function (date) {
    const that = this;
    const base = new DaysSeparatorBaseView();

    base.daysSeparatorDiv.className = "datesep";
    base.dateSpan.className = "date";

    base.dateSpan.appendText(formatDate());

    function formatDate() {
        const monthNames = [
            "January", "February", "March", "April",
            "May", "June", "July", "August",
            "September", "October", "November", "December"
        ];

        return `${date.getDate()} ${monthNames[date.getMonth()]} ${date.getFullYear()}`;
    }

    this.appendTo = base.appendTo;
    that.insertBefore = base.insertBefore;
};

export { DaysSeparatorView }
