// file: ChatPostBaseView.js
import { PostInfoBaseView } from './PostInfoBaseView.js'

const ChatPostBaseView = function () {
    const that = this;

    that.postDivE = document.createElement('div');
    that.postLeftE = document.createElement('div');
    that.postDivE.appendChild(that.postLeftE);

    that.infoIdE = document.createElement('div');
    that.infoIdE.classList.add('info-id');
    that.postLeftE.appendChild(that.infoIdE);

    that.infoNameE = document.createElement('div');
    that.infoNameE.classList.add('info-name');
    that.postLeftE.appendChild(that.infoNameE);

    that.postIdSpanE = document.createElement("span");
    that.infoIdE.appendChild(that.postIdSpanE);

    that.nicknameE = document.createElement("span");
    that.nicknameE.classList.add("nickname");
    that.infoNameE.appendChild(that.nicknameE);

    that.postbodyDivE = document.createElement("div");

    that.postInfoBaseView = new PostInfoBaseView();
    that.postInfoBaseView.appendTo(that.postbodyDivE);

    that.postDivE.appendChild(that.postbodyDivE);

    that.appendTo = (element) => {
        element.appendChild(that.postDivE);
    };

    that.insertBefore = (element) => {
        element.parentNode.insertBefore(that.postDivE, element);
    }
};

export { ChatPostBaseView }
