// file: DaysSeparatorBaseView.js
// done
const DaysSeparatorBaseView = function () {
    const that = this;

    that.daysSeparatorDiv = document.createElement("div");
    that.dateSpan = document.createElement("span");

    that.daysSeparatorDiv.appendChild(that.dateSpan);

    that.appendTo = (element) => {
        element.appendChild(that.daysSeparatorDiv);
    };

    that.insertBefore = (element) => {
        element.parentNode.insertBefore(that.daysSeparatorDiv, element);
    }
};

export { DaysSeparatorBaseView }
