// file: LogsPostView.js
import {LogsPostBaseView} from '../BaseViews/LogsPostBaseView.js'
import {ChatPostView} from './ChatPostView.js'
import {formatTime} from "../utils";

const LogsPostView = function (post) {
    const that = this;
    const base = new LogsPostBaseView();

    const chatPostView = new ChatPostView(post, base);

    base.dateSpan.className = "tm";
    base.dateSpan.appendText(`${formatTime(post.postDate)} `);

    that.getPost = chatPostView.getPost;
    that.appendTo = chatPostView.appendTo;
};

export {LogsPostView}
