// file: PostInfoView.js
import * as urlService from "../services/url_service";
import {toShortcutUuid} from "../services/uuid_service";
// done
const PostInfoView = (base, boardName, threadId) => {

    base.postInfoSpan.className = "post-info";

    base.postInfoSpan.insertTextBefore(" /", base.boardLink);
    base.postInfoSpan.insertTextBefore("/", base.threadLink);
    base.postInfoSpan.appendText("/");

    base.boardLink.appendText(boardName);
    base.boardLink.href = urlService.getBoardUrl(boardName);

    base.threadLink.appendText(toShortcutUuid(threadId));
    base.threadLink.href = urlService.getThreadUrl(boardName, threadId);
};

export { PostInfoView }
