// file: shortcut_service.js
export function isEscape(event) {
    return event.key === "Escape" || event.keyCode === 27;
}

export function isEnter(event) {
    return event.key === "Enter" || event.keyCode === 13;
}

export function isCtrlEnter(event) {
    return isEnter(event) && event.ctrlKey;
}

export function isAltEnter(event) {
    return isEnter(event) && event.altKey;
}

export function isShiftEnter(event) {
    return isEnter(event) && event.shiftKey;
}